libstdc++: std::messages_byname< _CharT > Class Template Reference

libstdc++

std::messages_byname< _CharT > Class Template Reference

`#include <locale_facets_nonio.h>`

Inheritance diagram for std::messages_byname< _CharT >:
[legend]

## Public Types
typedef int | catalog
typedef _CharT | char_type
typedef basic_string< _CharT > | string_type

## Public Member Functions
| messages_byname (const char *__s, size_t __refs=0)
| messages_byname (const string &__s, size_t __refs=0)
void | close (catalog __c) const
string_type | get (catalog __c, int __set, int __msgid, const string_type &__s) const
catalog | open (const basic_string< char > &, const locale &, const char *) const
catalog | open (const basic_string< char > &__s, const locale &__loc) const

## Static Public Attributes
static locale::id | id

## Protected Member Functions
string_type | _M_convert_from_char (char *) const
char * | _M_convert_to_char (const string_type &__msg) const
virtual void | do_close (catalog) const
void | do_close (catalog) const
void | do_close (catalog) const
string | do_get (catalog, int, int, const string &) const
virtual string_type | do_get (catalog, int, int, const string_type &__dfault) const
wstring | do_get (catalog, int, int, const wstring &) const
virtual catalog | do_open (const basic_string< char > &, const locale &) const
messages< wchar_t >::catalog | do_open (const basic_string< char > &, const locale &) const
messages< char >::catalog | do_open (const basic_string< char > &, const locale &) const

## Static Protected Member Functions
static __c_locale | _S_clone_c_locale (__c_locale &__cloc) throw ()
static void | _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
static void | _S_destroy_c_locale (__c_locale &__cloc)
static __c_locale | _S_get_c_locale ()
static const char * | _S_get_c_name () throw ()
static __c_locale | _S_lc_ctype_c_locale (__c_locale __cloc, const char *__s)

## Protected Attributes
__c_locale | _M_c_locale_messages
const char * | _M_name_messages

## Detailed Description

template<typename _CharT>
class std::messages_byname< _CharT >

class messages_byname [22.2.7.2].

Definition at line 2039 of file locale_facets_nonio.h.

## Member Typedef Documentation

## ◆ catalog

typedef int std::messages_base::catalog
| inherited

Definition at line 1828 of file locale_facets_nonio.h.

## ◆ char_type

template<typename _CharT>

typedef _CharT std::messages_byname< _CharT >::char_type

Definition at line 2042 of file locale_facets_nonio.h.

## ◆ string_type

template<typename _CharT>

typedef basic_string<_CharT> std::messages_byname< _CharT >::string_type

Definition at line 2043 of file locale_facets_nonio.h.

## Constructor & Destructor Documentation

## ◆ messages_byname() [1/2]

template<typename _CharT>

std::messages_byname< _CharT >::messages_byname | ( | const char * | __s,
|  | size_t | __refs = 0 )
| explicit

Definition at line 104 of file messages_members.h.

## ◆ messages_byname() [2/2]

template<typename _CharT>

std::messages_byname< _CharT >::messages_byname | ( | const string & | __s,
|  | size_t | __refs = 0 )
| inlineexplicit

Definition at line 2050 of file locale_facets_nonio.h.

## ◆ ~messages_byname()

template<typename _CharT>

virtual std::messages_byname< _CharT >::~messages_byname | ( |  | ) |
| inlineprotectedvirtual

Definition at line 2056 of file locale_facets_nonio.h.

## Member Function Documentation

## ◆ _M_convert_from_char()

template<typename _CharT>

string_type std::messages< _CharT >::_M_convert_from_char | ( | char * |  | ) | const
| inlineprotectedinherited

Definition at line 2016 of file locale_facets_nonio.h.

## ◆ _M_convert_to_char()

template<typename _CharT>

char * std::messages< _CharT >::_M_convert_to_char | ( | const string_type & | __msg | ) | const
| inlineprotectedinherited

Definition at line 2008 of file locale_facets_nonio.h.

## ◆ close()

template<typename _CharT>

void std::messages< _CharT >::close | ( | catalog | __c | ) | const
| inlineinherited

Definition at line 1957 of file locale_facets_nonio.h.

## ◆ do_close()

template<typename _CharT>

void std::messages< _CharT >::do_close | ( | catalog |  | ) | const
| protectedvirtualinherited

Definition at line 99 of file messages_members.h.

## ◆ do_get()

string std::messages< char >::do_get | ( | catalog | ,
|  | int | ,
|  | int | ,
|  | const string & | ) const
| protectedinherited

Specializations for required instantiations.

## ◆ do_open()

template<typename _CharT>

messages< _CharT >::catalog std::messages< _CharT >::do_open | ( | const basic_string< char > & | __s,
|  | const locale & | ) const
| protectedvirtualinherited

Definition at line 88 of file messages_members.h.

## ◆ get()

template<typename _CharT>

string_type std::messages< _CharT >::get | ( | catalog | __c,
|  | int | __set,
|  | int | __msgid,
|  | const string_type & | __s ) const
| inlineinherited

Definition at line 1946 of file locale_facets_nonio.h.

## ◆ open() [1/2]

template<typename _CharT>

messages< _CharT >::catalog std::messages< _CharT >::open | ( | const basic_string< char > & | __s,
|  | const locale & | __loc,
|  | const char * | __dir ) const
| inherited

Definition at line 70 of file messages_members.h.

## ◆ open() [2/2]

template<typename _CharT>

catalog std::messages< _CharT >::open | ( | const basic_string< char > & | __s,
|  | const locale & | __loc ) const
| inlineinherited

Definition at line 1910 of file locale_facets_nonio.h.

## Member Data Documentation

## ◆ _M_c_locale_messages

template<typename _CharT>

__c_locale std::messages< _CharT >::_M_c_locale_messages
| protectedinherited

Definition at line 1868 of file locale_facets_nonio.h.

## ◆ _M_name_messages

template<typename _CharT>

const char* std::messages< _CharT >::_M_name_messages
| protectedinherited

Definition at line 1869 of file locale_facets_nonio.h.

## ◆ id

template<typename _CharT>

locale::id std::messages< _CharT >::id
| staticinherited

Numpunct facet id.

Definition at line 1873 of file locale_facets_nonio.h.

The documentation for this class was generated from the following files:

- locale_facets_nonio.h
- messages_members.h